# rope File Reference

`#include <bits/stl_algobase.h>`
`#include <bits/stl_construct.h>`
`#include <bits/stl_uninitialized.h>`
`#include <bits/stl_algo.h>`
`#include <bits/stl_function.h>`
`#include <bits/stl_numeric.h>`
`#include <bits/allocator.h>`
`#include <ext/hash_fun.h>`
`#include <bits/gthr.h>`
`#include <ext/memory>`
`#include <ext/ropeimpl.h>`

Include dependency graph for rope:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | __gnu_cxx
namespace | __gnu_cxx::Rope_constants

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset). You should only include this header if you are using GCC 3 or later.

Definition in file rope.